<?php
///////////////////////////////////////////////////////////////////////////////////////
// PHPizabi 0.848b C1 [ALICIA]                               http://www.phpizabi.net //
///////////////////////////////////////////////////////////////////////////////////////
// Please read the license.txt file before using / modifying this software           //
// Original author:         Claude Desjardins, R - feedback@realitymedias.com        //
// Last modification date:  February 21th 2007                                       //
// Version:                 PHPizabi 0.848b C1                                       //
//                                                                                   //
// (C) 2005, 2007 Real!ty Medias / PHPizabi - All rights reserved                    //
///////////////////////////////////////////////////////////////////////////////////////

	class t_command extends triton {
		function runCommand($param, $channel=NULL) {
			
			/* Parameter set? */
			if (isset($param[1])) {
			
				if (preg_match('/\\b(?:[0-9]{1,3}\\.){3}[0-9]{1,3}\\b/', $param[1])) {
					
					if ($result = gethostbyaddr($param[1])) $this -> localEcho('ECHO_DNS', array($param[1], $result));
					else $this -> localEcho('ECHO_DNSERROR', array($param[1], $result));
				
				}
				
				else {
					if ($result = gethostbyname($param[1])) $this -> localEcho('ECHO_DNS', array($param[1], $result));
					else $this -> localEcho('ECHO_DNSERROR', array($param[1], $result));
				}
			}
			else $this -> localEcho('ERR_PARAMCOUNT', array($param[0]));
		}
	}
?>